Bug 64717 - db4 runrecovery error on stock 7.2
Summary: db4 runrecovery error on stock 7.2
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-10 01:04 UTC by David M. Cook
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-10 14:27:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Tarball of /var/lib files (3.96 MB, text/plain)
2002-05-10 10:31 UTC, Bruce Johnston
no flags Details

Description David M. Cook 2002-05-10 01:04:11 UTC
Description of Problem:

[After I suggested running db_verify when he had rpm database problems]

Neither db_verify nor db_recover -h had any effect and there is 10 gig free. 
Things started going down hill from there with freeze ups and huge lags. So
I wiped the drive clean, repartitioned and started again. Nothing on the
partition but the install of RH 7.2 from the cd I purchased. The OS
installed fine but I try to rmp updates and I now get: db4 error -(30981)
run recovery. Is there a work around?
Version-Release number of selected component (if applicable):


How Reproducible: Every time on this system

Steps to Reproduce:
1. Installed stock 7.2 on his system
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Bruce Johnston 2002-05-10 10:31:21 UTC
Created attachment 56944 [details]
Tarball of /var/lib files

Comment 2 Bruce Johnston 2002-05-10 10:51:28 UTC
I wiped and reinstalled RH again this time with a new hard drive. I set up my
account and tried to update. While updating I received this error over and over
'error: db4 error (-30979) from db->verify: DB_VERIFY_BAD: Database verification
failed'. I try to db_verify or db_recover and I get a bash can't find command
error. Now up2date will not run. 

I am not an expert but I think that something might be funky in this machine.
Let me know when it is time to get a hammer and let the magic smoke out of the
tower.



Comment 3 Jeff Johnson 2002-05-10 14:27:06 UTC
Can you give me a pointer (i.e. URL, not attachment, rpmdb's
are too large for attchments)? Thanks.

Comment 4 Jeff Johnson 2002-05-13 23:20:12 UTC
Please reopen if you need help. Otherwise, I'm assuming
a hardware problem.


Note You need to log in before you can comment on or make changes to this bug.